public static class DescribeHostAvailabilityListResponseBody.DescribeHostAvailabilityListResponseBodyTaskListNodeTaskConfigTaskOption
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
httpKeyword
The response to the HTTP request.
|
String |
httpMethod
The HTTP request method.
|
Boolean |
httpNegative
The method to trigger an alert.
|
String |
httpPostContent
The content of the HTTP POST request.
|
String |
httpResponseCharset
The character set that is used in the HTTP response.
|
String |
httpURI
The URI that you want to monitor.
|
Integer |
interval
The interval at which detection requests are sent.
|
String |
telnetOrPingHost
The domain name or IP address that you want to monitor.
|
| 构造器和说明 |
|---|
DescribeHostAvailabilityListResponseBodyTaskListNodeTaskConfigTaskOption() |
@NameInMap(value="HttpKeyword") public String httpKeyword
The response to the HTTP request.
@NameInMap(value="HttpMethod") public String httpMethod
The HTTP request method. Valid values:
* GET
* POST
* HEAD
@NameInMap(value="HttpNegative") public Boolean httpNegative
The method to trigger an alert. The alert can be triggered based on whether the specified alert rule is included in the response body. Valid values:
* true: If the HTTP response body includes the alert rule, an alert is triggered.
* false: If the HTTP response does not include the alert rule, an alert is triggered.
@NameInMap(value="HttpPostContent") public String httpPostContent
The content of the HTTP POST request.
@NameInMap(value="HttpResponseCharset") public String httpResponseCharset
The character set that is used in the HTTP response.
@NameInMap(value="HttpURI") public String httpURI
The URI that you want to monitor. If the TaskType parameter is set to HTTP, this parameter is required.
@NameInMap(value="Interval") public Integer interval
The interval at which detection requests are sent. Unit: seconds.
@NameInMap(value="TelnetOrPingHost") public String telnetOrPingHost
The domain name or IP address that you want to monitor.
public DescribeHostAvailabilityListResponseBodyTaskListNodeTaskConfigTaskOption()
public static DescribeHostAvailabilityListResponseBody.DescribeHostAvailabilityListResponseBodyTaskListNodeTaskConfigTaskOption build(Map<String,?> map) throws Exception
Exceptionpublic DescribeHostAvailabilityListResponseBody.DescribeHostAvailabilityListResponseBodyTaskListNodeTaskConfigTaskOption setHttpKeyword(String httpKeyword)
public String getHttpKeyword()
public DescribeHostAvailabilityListResponseBody.DescribeHostAvailabilityListResponseBodyTaskListNodeTaskConfigTaskOption setHttpMethod(String httpMethod)
public String getHttpMethod()
public DescribeHostAvailabilityListResponseBody.DescribeHostAvailabilityListResponseBodyTaskListNodeTaskConfigTaskOption setHttpNegative(Boolean httpNegative)
public Boolean getHttpNegative()
public DescribeHostAvailabilityListResponseBody.DescribeHostAvailabilityListResponseBodyTaskListNodeTaskConfigTaskOption setHttpPostContent(String httpPostContent)
public String getHttpPostContent()
public DescribeHostAvailabilityListResponseBody.DescribeHostAvailabilityListResponseBodyTaskListNodeTaskConfigTaskOption setHttpResponseCharset(String httpResponseCharset)
public String getHttpResponseCharset()
public DescribeHostAvailabilityListResponseBody.DescribeHostAvailabilityListResponseBodyTaskListNodeTaskConfigTaskOption setHttpURI(String httpURI)
public String getHttpURI()
public DescribeHostAvailabilityListResponseBody.DescribeHostAvailabilityListResponseBodyTaskListNodeTaskConfigTaskOption setInterval(Integer interval)
public Integer getInterval()
public DescribeHostAvailabilityListResponseBody.DescribeHostAvailabilityListResponseBodyTaskListNodeTaskConfigTaskOption setTelnetOrPingHost(String telnetOrPingHost)
public String getTelnetOrPingHost()
Copyright © 2024. All rights reserved.